package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ImageDownLog;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.ImageDownLogMapper")
public interface ImageDownLogMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ImageDownLog record);

    ImageDownLog selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ImageDownLog record);

    List<ImageDownLog> queryAllImageDownLog(ImageDownLog record);

    List<ImageDownLog> queryImageDownLogByPage(Map<String, Object> parameter);

    int delete(ImageDownLog record);

    ImageDownLog queryImageDownLog(ImageDownLog record);

    List<ImageDownLog> query(ImageDownLog record);
}

